<template>
  <drawer
    :showDrawer="this.showDrawer"
    :size="'40%'"
    :title="'Cadastrar'"
    :description="'Cadastro de um novo usuário do sistema'"
    @emit-drawer-closed="handleCloseDrawer"
  >
    <dir class="text-center">
      <b-avatar size="80" :src="userForm.user_avatar"></b-avatar>
      <h4 class="p-0 m-0">{{ userForm.user_username }}</h4>
      <span>{{ userForm.user_email }}</span>
    </dir>
    <div class="row form-group">
      <label class="col-4">Nome completo</label>
      <input type="text" class="col-8 form-control" v-model="userForm.user_username" />
    </div>
    <div class="row form-group">
      <label class="col-4">E-mail</label>
      <input type="email" class="col-8 form-control" v-model="userForm.user_email" />
    </div>
    <div class="row form-group">
      <label class="col-4">CPF</label>
      <input type="text" class="col-8 form-control" v-model.number="userForm.user_cpf" />
    </div>
    <div class="row form-group">
      <label class="col-4">RG</label>
      <input type="text" class="col-8 form-control" v-model="userForm.user_rg" />
    </div>
    <div class="row form-group">
      <label class="col-4">Senha</label>
      <input type="password" class="col-8 form-control" v-model="userForm.user_password" />
    </div>
    <div class="row form-group">
      <label class="col-4">Usuário ativo</label>
      <a-radio-group v-model="userForm.st_registry_active" default-value="S" button-style="solid">
        <a-radio-button value="S" border>Ativo</a-radio-button>
        <a-radio-button value="N" border>Inativo</a-radio-button>
      </a-radio-group>
    </div>
    <div
      :style="{
          position: 'absolute',
          right: 0,
          bottom: 0,
          width: '100%',
          borderTop: '1px solid #e9e9e9',
          padding: '10px 16px',
          background: '#fff',
          textAlign: 'center',
          zIndex: 1,
        }"
    >
      <a-button :style="{ marginRight: '8px' }" @click="handleCloseDrawer">Cancelar</a-button>
      <a-button type="primary">Cadastrar</a-button>
    </div>
  </drawer>
</template>

<script>
import User from "@/model/user/user";
import Drawer from "@/components/generic-components/drawer/drawer";
export default {
  props: ["user", "showDrawer"],
  components: {
    Drawer,
  },
  data() {
    return {
      userForm: new User(),
    };
  },
  watch: {
    user: function (newUser) {
      this.userForm = newUser;
    },
  },
  methods: {
    handleSave() {
      this.$emit("emit-save-user", this.userForm);
    },
    handleCloseDrawer() {
      this.userForm = new User();
      this.$emit("emit-close-drawer", false);
    },
  },
};
</script>
